import org.w3c.dom.Element;


public class InputSpecElement
{
	private String name=null;
	private String value=null;
	private String defaultValue=null;
	public static final String INPUTSPEC="inputSpec";
	public static final String NAME="name";
	public static final String VALUE="value";
	public static final String DEFAULTVALUE="default";

	public InputSpecElement(Element root)
	{
		setName(root.getAttribute(NAME));
		setValue(root.getAttribute(VALUE));
		setDefaultValue(root.getAttribute(DEFAULTVALUE));
	}
	
	public String getRuntimeValue()
	{
		if(getValue()!=null)
			return getValue();
		return getDefaultValue();
	}

	public String getName()
	{
		return name;
	}

	public void setName(String param)
        {
                 name=param;
        }  

	public String getValue()
        {
                return value;
        } 

	public void setValue(String param)
        {
                value=param;
        } 

	public String getDefaultValue()
        {
                return defaultValue;
        } 

	public void setDefaultValue(String param)
        {
                defaultValue=param;
        } 
}
